function plot2D()
  close all
  meshfile=gmsh.buildmesh2d('condenser11',40);
  Th=siMesh(meshfile);
  u=@(x,y) 0.3*cos(5*(2*x-y)).*sin(5*(x-2*y));
  U=Th.eval(u);

  fc_tools.graphics.DisplayFigures('nfig',4);
  figure(1)
  fc_siplt.plot(Th,U);
  axis image;axis off;view(3)
  colorbar
  shading interp


  figure(2)
  fc_siplt.plot(Th,U,'plan',true);
  axis image
  colorbar
  shading interp

  figure(3)
  fc_siplt.plot(Th,U,'d',1,'Linewidth',3);
  axis image
  colormap('jet')
  view(3)
  colorbar

  figure(4)
  fc_siplt.plot(Th,U,'d',1,'Linewidth',3,'plan',true);
  axis image
  colormap('jet')
  colorbar
end

