function sliceiso()
  close all
  meshfile=gmsh.buildmesh3d('cylinder3holes',15);
  Th=siMesh(meshfile);
  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);

  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_siplt.slicemesh(Th,P)
  hold on
  fc_siplt.sliceiso(Th,U,P)
  view(-11,15)

  figure(2)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_siplt.slicemesh(Th,P)
  hold on
  [~,~,cax,h]=fc_siplt.sliceiso(Th,U,P,'isocolorbar',true);
  fc_siplt.sliceiso(Th,U,P,'isorange',0,'color','w','Linewidth',2);
  view(-11,15)
  I=~isnan(h);
  set(h(I),'LineWidth',2)
  set(cax,'FontSize',8)

  figure(3)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_siplt.slicemesh(Th,P)
  hold on
  fc_siplt.sliceiso(Th,U,P,'isocolorbar',true,'LineWidth',2,'format','%.3f');
  view(-11,15)
  
  figure(4)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1])];
  fc_siplt.plotmesh(Th,'d',1,'LineWidth',1,'color','k');
  hold on;axis off;axis image;
  fc_siplt.slice(Th,u,P,'Facecolor','interp')
  
  figure(5)
  fc_siplt.plotmesh(Th,'d',1,'LineWidth',2,'color','k');
  hold on;axis off;axis image;
  fc_siplt.slicemesh(Th,P(1:2,:))
  fc_siplt.sliceiso(Th,u,P(1:2,:))
  fc_siplt.slice(Th,u,P(3,:),'Facecolor','interp')
  fc_siplt.sliceiso(Th,u,P(3,:),'color','white')
  
end